%define major  	0
%define libname %mklibname id3tag %{major}
%define develname %mklibname -d id3tag

Summary:	Library for reading and writing ID3v1 and ID3v2 tags
Name:		libid3tag
Version:	0.15.1b
Release:	%mkrel 17
Source0:	http://downloads.sourceforge.net/mad/%{name}-%{version}.tar.bz2
Source1:	id3tag.pc
Patch0:		libid3tag-0.15.1b-gentoo-CVE-2008-2109_fix_overflow.patch
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.underbit.com/products/mad/
BuildRequires:	zlib-devel

%description
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %{libname}
Summary:        Library for reading and writing ID3v1 and ID3v2 tags
Group:          System/Libraries

%description -n %{libname}
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %develname
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       id3tag-devel = %{version}-%{release}
Obsoletes:      %{mklibname -d id3tag 0}

%description -n %develname
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.
 
If you are going to develop programs which will use the %{name} library
you should install this.
 
%prep
%setup -q
%autopatch -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
# this is an invalid locale dir
rm -rf %buildroot/%{_datadir}/locale/en
%find_lang %{name}
mkdir -p %buildroot/%_libdir/pkgconfig
sed -e 's#@LIBDIR@#%{_libdir}#' -e 's#@VERSION@#%{version}#' %{SOURCE1} > %buildroot/%_libdir/pkgconfig/id3tag.pc

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/libid3tag.so.%{major}{,.*}

%files -n %develname
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.15.1b-17.mga6
+ Revision: 938312
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15.1b-16.mga5
+ Revision: 747654
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15.1b-15.mga5
+ Revision: 681528
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.15.1b-14.mga4
+ Revision: 507092
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.15.1b-13.mga3
+ Revision: 357505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 fwang <fwang> 0.15.1b-12.mga3
+ Revision: 311011
- fix pc file installation
- cleanup spec

* Sat Jan 15 2011 mikala <mikala> 0.15.1b-11.mga1
+ Revision: 18471
- Drop mdk macros
- Remove BuildRoot
- imported package libid3tag


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-11mdv2011.0
+ Revision: 602558
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-10mdv2010.1
+ Revision: 520868
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.15.1b-9mdv2010.0
+ Revision: 425566
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.15.1b-8mdv2009.0
+ Revision: 264821
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 20 2008 Götz Waschk <waschk@mandriva.org> 0.15.1b-7mdv2009.0
+ Revision: 209308
- P0: security fix for CVE-2008-2109

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 0.15.1b-6mdv2008.1
+ Revision: 101761
- new devel name
- update license tag

* Wed Sep 19 2007 Antoine Ginies <aginies@mandriva.com> 0.15.1b-6mdv2008.0
+ Revision: 90593
- increase release to rebuild/submit and fix lost in space package...

* Sun Jul 01 2007 Götz Waschk <waschk@mandriva.org> 0.15.1b-5mdv2008.0
+ Revision: 46430
- Import libid3tag



* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 0.15.1b-5mdv2007.0
- Rebuild

* Sun Jun 26 2005 Austin Acton <austin@mandriva.org> 0.15.1b-4mdk
- fix provides

* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.1b-3mdk
- lib64 fixes to pkgconfig files

* Tue Jun 03 2004 Laurent Montel <waschk@mandrakesoft.com> 0.15.1b-2mdk
- Rebuild

* Mon May 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15.1b-1mdk
- spec fix
- don't libtoolize
- fix source URL
- New release 0.15.1b

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.15.0b-4mdk
- rebuild for new rpm

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.15.0b-2mdk
- update doc section
- fix pkgconfig file
- update URL

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.15.0b-1mdk
- autoconf2.5 macro
- new version
- split out from the main mad package

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14.2b-6mdk
- rebuild for provides

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14.2b-5mdk
- devel package requires zlib-devel
- devel package requires pkgconfig
- mklibname macro

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.14.2b-4mdk
- arrgh, also add mad.pc

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.14.2b-3mdk
- add id3tag.pc from debian package (required by xmms-mad)

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.14.2b-2mdk
- add .la files

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.14.2b-1mdk
- spec mandrakificazion: macros, standard libificazion, macros

* Sat Nov 10 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.14.2b-0.1mdk
- 0.14.2b

* Wed Nov  7 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.14.1b-0.1mdk
- 0.14.1b
- build shared library

* Fri Oct 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.0b-0.1mdk
- 0.14.0b

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.13.0-0.b1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
        - initial package

#EOF
